summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWalker Thompson <walker.thompson@urz.uni-heidelberg.de>2026-07-03 16:43:00 +0200
committerWalker Thompson <walker.thompson@urz.uni-heidelberg.de>2026-07-03 16:43:00 +0200
commit5f9d515e0f0a792ca99438ecc4f3bb3e06752836 (patch)
tree6f062588a485bd7853c490d006804a0f5c2c9c42
parent37dd4d6f995587cb597e366a377391b264716f01 (diff)
Separate GTK and X11/Motif sources + compile scripts
-rwxr-xr-xcompile_gtk.sh (renamed from compile.sh)5
-rwxr-xr-xcompile_xm.sh7
-rw-r--r--voss_devctl_xm.c (renamed from voss_devctl.c)0
3 files changed, 8 insertions, 4 deletions
diff --git a/compile.sh b/compile_gtk.sh
index 2ef54e3..1270268 100755
--- a/compile.sh
+++ b/compile_gtk.sh
@@ -1,9 +1,6 @@
#!/bin/sh
cd "$(dirname "$0")" || exit
-#cc voss_devctl.c -g -o voss-devctl \
-# -Wall -Wpedantic -Werror -Wextra \
-# -I/usr/local/include \
-# -L/usr/local/lib -lXm -lXt -lX11
+test "$(uname -s)" = "FreeBSD" || exit
cc voss_devctl_gtk.c -g -o voss-devctl \
-Wall -Wpedantic -Werror -Wextra \
`pkg-config --cflags gtk+-3.0` \
diff --git a/compile_xm.sh b/compile_xm.sh
new file mode 100755
index 0000000..4b2c5c4
--- /dev/null
+++ b/compile_xm.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+cd "$(dirname "$0")" || exit
+test "$(uname -s)" = "FreeBSD" || exit
+cc voss_devctl.c -g -o voss-devctl \
+ -Wall -Wpedantic -Werror -Wextra \
+ -I/usr/local/include \
+ -L/usr/local/lib -lXm -lXt -lX11
diff --git a/voss_devctl.c b/voss_devctl_xm.c
index 1739b19..1739b19 100644
--- a/voss_devctl.c
+++ b/voss_devctl_xm.c